summaryrefslogtreecommitdiffstats
path: root/obsolete-buildroot
diff options
context:
space:
mode:
authormbm <mbm@3c298f89-4303-0410-b956-a3cf2f4a3e73>2004-09-07 07:48:49 +0000
committermbm <mbm@3c298f89-4303-0410-b956-a3cf2f4a3e73>2004-09-07 07:48:49 +0000
commit9430230107faceb968614e7b06c8fdf5004ccb8d (patch)
treeaf10b98789363a4cecbe06873916f109ed84263d /obsolete-buildroot
parent6500719d9cd1b9bb7cf1cff5051c6396886b4537 (diff)
change DEBUG messages in networking scripts to be more helpful
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@156 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'obsolete-buildroot')
-rwxr-xr-xobsolete-buildroot/sources/openwrt/root/etc/functions.sh1
-rw-r--r--obsolete-buildroot/sources/openwrt/root/etc/nvram.overrides2
2 files changed, 2 insertions, 1 deletions
diff --git a/obsolete-buildroot/sources/openwrt/root/etc/functions.sh b/obsolete-buildroot/sources/openwrt/root/etc/functions.sh
index 6da7df295..1d341152f 100755
--- a/obsolete-buildroot/sources/openwrt/root/etc/functions.sh
+++ b/obsolete-buildroot/sources/openwrt/root/etc/functions.sh
@@ -26,4 +26,5 @@ if_valid () (
$DEBUG vconfig add $vif $i 2>/dev/null
}
ifconfig "$1" >/dev/null 2>&1 || [ "${1%%[0-9]}" = "br" ]
+ [ $? = 0 ] || { echo -e "# $1 ignored: no such interface"; return 1; }
)
diff --git a/obsolete-buildroot/sources/openwrt/root/etc/nvram.overrides b/obsolete-buildroot/sources/openwrt/root/etc/nvram.overrides
index e3a3217ff..6ef6ae39d 100644
--- a/obsolete-buildroot/sources/openwrt/root/etc/nvram.overrides
+++ b/obsolete-buildroot/sources/openwrt/root/etc/nvram.overrides
@@ -49,7 +49,7 @@ NVRAM_lan_proto="static"
# failsafe if reset is held
[ "$FAILSAFE" = "true" ] && {
- echo "### FAILSAFE MODE ####"
+ echo "### YOU ARE IN FAILSAFE MODE ####"
NVRAM_lan_ifname="br0"
NVRAM_lan_ifnames="vlan0 vlan2 eth1 eth2 eth3"
NVRAM_lan_ipaddr="192.168.1.1"